%define major		2
%define libname		%mklibname wacom %{major}
%define develname	%mklibname wacom -d

Name:		libwacom
Summary:	A library to identify wacom tablets
Version:	0.22
Release:	2
Group:		Development/X11
License:	MIT
URL:		http://sourceforge.net/projects/linuxwacom/
Source0:	http://prdownloads.sourceforge.net/linuxwacom/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gudev-1.0)

%description
libwacom is a library to identify wacom tablets and their model-specific
features. It provides easy access to information such as "is this a built-in
on-screen tablet", "what is the size of this model", etc.

%package -n %{libname}
Summary:	A library to identify wacom tablets
Group:		Development/X11
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
libwacom is a library to identify wacom tablets and their model-specific
features. It provides easy access to information such as "is this a built-in
on-screen tablet", "what is the size of this model", etc.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

install -d ${RPM_BUILD_ROOT}/%{_udevrulesdir}
# auto-generate the udev rule from the database entries
pushd tools
./generate-udev-rules > ${RPM_BUILD_ROOT}/%{_udevrulesdir}/65-libwacom.rules
popd

rm -f %{buildroot}%{_libdir}/*.la

%files
%{_bindir}/libwacom-list-local-devices
%{_datadir}/libwacom
%{_udevrulesdir}/65-libwacom.rules

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%changelog

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.22-2
- (b7a55a0) MassBuild#1169: Increase release tag


